## libcgi-noris-perl 3.1-3.1

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	pod2man ${DESTDIR}/usr/share/perl5/noris/CGI/Mail.pm --section=3 ${DESTDIR}/usr/share/man/man3/noris\:\:CGI\:\:Mail.3
	pod2man ${DESTDIR}/usr/share/perl5/noris/CGI/setRemoteHost.pm --section=3 ${DESTDIR}/usr/share/man/man3/noris\:\:CGI\:\:setRemoteHost.3

clean:
	rm -f *-stamp

=== debian/changelog ===
libcgi-noris-perl (3.1-3.1) wheezy; urgency=low

  * Wheezy version

 -- Micha Krause <Micha@noris.de>  Mon, 04 Feb 2013 18:22:54 +0100

libcgi-noris-perl (3.1-3) stable; urgency=low

  * dhanged Arch and Section.

 -- Hardy Kestin <hardy@noris.net>  Wed, 20 Jul 2005 16:27:22 +0200

libcgi-noris-perl (3.1-2) stable; urgency=low

  * Added dep to libemail-valid-perl.

 -- Hardy Kestin <hardy@noris.net>  Wed, 20 Jul 2005 15:36:18 +0200

libcgi-noris-perl (3.1-1) stable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Wed, 20 Jul 2005 15:08:45 +0200

=== debian/control ===
Source: libcgi-noris-perl
Section: noris/web
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: libcgi-noris-perl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl (>> 5.6.0), perl-modules, libemail-valid-perl
Description: Perl-Modules for cgi-implementation.
 These modules will help you implementing misc functions, such as email
 and formular-data into your webspace.

## libcgi-noris-perl 3.1-4

=== debian/changelog ===
libcgi-noris-perl (3.1-4) jessie; urgency=medium

  * Jessie version 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 02 Sep 2015 09:19:10 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libcgi-noris-perl.sgml > libcgi-noris-perl.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libcgi-noris-perl.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libcgi-noris-perl


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
